package cn.palmte.work.bean;

import java.math.BigDecimal;

public class BudgetSettleBean {

    //========================收入表================================

    /**
     * 设备类决算总额
     */
    private BigDecimal incomeDeviceBudgetTotal;

    /**
     * 工程类决算总额
     */
    private BigDecimal incomeEngineerBudgetTotal;

    /**
     * 服务类决算总额
     */
    private BigDecimal incomeServiceBudgetTotal;

    //========================成本表================================

    /**
     * 设备采购成本决算总额
     */
    private BigDecimal costPurchaseDeviceBudgetTotal;

    /**
     * 施工采购成本决算总额
     */
    private BigDecimal costPurchaseBuildBudgetTotal;

    /**
     * 服务采购成本决算总额
     */
    private BigDecimal costPurchaseServiceBudgetTotal;

    /**
     * 其他采购成本决算总额
     */
    private BigDecimal costPurchaseOtherBudgetTotal;

    /**
     * 项目管理成本决算总额
     */
    private BigDecimal costProjectManageBudgetTotal;

    /**
     * 其他成本决算总额
     */
    private BigDecimal costOtherBudgetTotal;


    //========================管理表================================

    /**
     * 财务费用决算总额
     */
    private BigDecimal costExpropriationBudgetTotal;

    /**
     * 公司管理费用决算总额
     */
    private BigDecimal costCompanyManageBudgetTotal;

    /**
     * 所得税费用决算总额
     */
    private BigDecimal costIncomeTaxBudgetTotal;


    //========================利润率计算表================================

    /**
     * 项目毛利决算总额
     */
    private BigDecimal grossProfitBudgetTotal;

    /**
     * 项目毛利利润率
     */
    private BigDecimal grossProfitProfitMargin;

    /**
     * 项目贡献利润决算总额
     */
    private BigDecimal contributionProfitBudgetTotal;

    /**
     * 项目贡献利润利润率
     */
    private BigDecimal contributionProfitProfitMargin;

    /**
     * 项目净利润决算总额
     */
    private BigDecimal netProfitBudgetTotal;

    /**
     * 项目净利润利润率
     */
    private BigDecimal netProfitProfitMargin;

    //========================结算现金流量表================================

    /**
     * a销售商品、提供劳务收到的现金
     */
    private BigDecimal saleIncomeCashBudget;
    /**
     * b收到的税费返还
     */
    private BigDecimal taxReturnBudget;
    /**
     * c其他与经营活动有关的现金【保证金收入】
     */
    private BigDecimal earnestMoneyIncomeBudget;
    /**
     * d购买商品、接受劳务支付的现金【设备支出+工程支出】
     */
    private BigDecimal purchaseCostBudget;
    /**
     * e支付的各项税费
     */
    private BigDecimal taxCostBudget;
    /**
     * f支付其他与经营活动有关的现金
     */
    private BigDecimal earnestMoneyCostBudget;
    /**
     * g经营活动产生的现金流量净额
     * g=a+c+b-d-f-e
     */
    private BigDecimal netCashFlowBudget;
    /**
     * h投资活动现金流入
     */
    private BigDecimal cashInflowFromInvestingActivitiesBudget;
    /**
     * i投资活动现金流出
     */
    private BigDecimal cashOutflowFromInvestingActivitiesBudget;
    /**
     * j投资活动产生的现金流量净额
     */
    private BigDecimal netCashFromInvestingActivitiesBudget;
    /**
     * k融资资金流入【垫资计划】
     */
    private BigDecimal financingCapitalInflowBudget;
    /**
     * l融资资金流出【还款计划】
     */
    private BigDecimal financingCapitalOutflowBudget;
    /**
     * m筹资活动产生的现金流量净额
     * m=k-l
     */
    private BigDecimal financingCapitalCashflowBudget;
    /**
     * n货币资金净增加额
     * n=g+j+m
     */
    private BigDecimal netIncreaseMonetaryFundsBudget;


    public BigDecimal getIncomeDeviceBudgetTotal() {
        return incomeDeviceBudgetTotal;
    }

    public void setIncomeDeviceBudgetTotal(BigDecimal incomeDeviceBudgetTotal) {
        this.incomeDeviceBudgetTotal = incomeDeviceBudgetTotal;
    }

    public BigDecimal getIncomeEngineerBudgetTotal() {
        return incomeEngineerBudgetTotal;
    }

    public void setIncomeEngineerBudgetTotal(BigDecimal incomeEngineerBudgetTotal) {
        this.incomeEngineerBudgetTotal = incomeEngineerBudgetTotal;
    }

    public BigDecimal getIncomeServiceBudgetTotal() {
        return incomeServiceBudgetTotal;
    }

    public void setIncomeServiceBudgetTotal(BigDecimal incomeServiceBudgetTotal) {
        this.incomeServiceBudgetTotal = incomeServiceBudgetTotal;
    }

    public BigDecimal getCostPurchaseDeviceBudgetTotal() {
        return costPurchaseDeviceBudgetTotal;
    }

    public void setCostPurchaseDeviceBudgetTotal(BigDecimal costPurchaseDeviceBudgetTotal) {
        this.costPurchaseDeviceBudgetTotal = costPurchaseDeviceBudgetTotal;
    }

    public BigDecimal getCostPurchaseBuildBudgetTotal() {
        return costPurchaseBuildBudgetTotal;
    }

    public void setCostPurchaseBuildBudgetTotal(BigDecimal costPurchaseBuildBudgetTotal) {
        this.costPurchaseBuildBudgetTotal = costPurchaseBuildBudgetTotal;
    }

    public BigDecimal getCostPurchaseServiceBudgetTotal() {
        return costPurchaseServiceBudgetTotal;
    }

    public void setCostPurchaseServiceBudgetTotal(BigDecimal costPurchaseServiceBudgetTotal) {
        this.costPurchaseServiceBudgetTotal = costPurchaseServiceBudgetTotal;
    }

    public BigDecimal getCostPurchaseOtherBudgetTotal() {
        return costPurchaseOtherBudgetTotal;
    }

    public void setCostPurchaseOtherBudgetTotal(BigDecimal costPurchaseOtherBudgetTotal) {
        this.costPurchaseOtherBudgetTotal = costPurchaseOtherBudgetTotal;
    }

    public BigDecimal getCostProjectManageBudgetTotal() {
        return costProjectManageBudgetTotal;
    }

    public void setCostProjectManageBudgetTotal(BigDecimal costProjectManageBudgetTotal) {
        this.costProjectManageBudgetTotal = costProjectManageBudgetTotal;
    }

    public BigDecimal getCostOtherBudgetTotal() {
        return (costOtherBudgetTotal == null)?BigDecimal.ZERO:costOtherBudgetTotal;
    }

    public void setCostOtherBudgetTotal(BigDecimal costOtherBudgetTotal) {
        this.costOtherBudgetTotal = costOtherBudgetTotal;
    }

    public BigDecimal getCostExpropriationBudgetTotal() {
        return costExpropriationBudgetTotal;
    }

    public void setCostExpropriationBudgetTotal(BigDecimal costExpropriationBudgetTotal) {
        this.costExpropriationBudgetTotal = costExpropriationBudgetTotal;
    }

    public BigDecimal getCostCompanyManageBudgetTotal() {
        return costCompanyManageBudgetTotal;
    }

    public void setCostCompanyManageBudgetTotal(BigDecimal costCompanyManageBudgetTotal) {
        this.costCompanyManageBudgetTotal = costCompanyManageBudgetTotal;
    }

    public BigDecimal getCostIncomeTaxBudgetTotal() {
        return costIncomeTaxBudgetTotal;
    }

    public void setCostIncomeTaxBudgetTotal(BigDecimal costIncomeTaxBudgetTotal) {
        this.costIncomeTaxBudgetTotal = costIncomeTaxBudgetTotal;
    }

    public BigDecimal getGrossProfitBudgetTotal() {
        return grossProfitBudgetTotal;
    }

    public void setGrossProfitBudgetTotal(BigDecimal grossProfitBudgetTotal) {
        this.grossProfitBudgetTotal = grossProfitBudgetTotal;
    }

    public BigDecimal getGrossProfitProfitMargin() {
        return grossProfitProfitMargin;
    }

    public void setGrossProfitProfitMargin(BigDecimal grossProfitProfitMargin) {
        this.grossProfitProfitMargin = grossProfitProfitMargin;
    }

    public BigDecimal getContributionProfitBudgetTotal() {
        return contributionProfitBudgetTotal;
    }

    public void setContributionProfitBudgetTotal(BigDecimal contributionProfitBudgetTotal) {
        this.contributionProfitBudgetTotal = contributionProfitBudgetTotal;
    }

    public BigDecimal getContributionProfitProfitMargin() {
        return contributionProfitProfitMargin;
    }

    public void setContributionProfitProfitMargin(BigDecimal contributionProfitProfitMargin) {
        this.contributionProfitProfitMargin = contributionProfitProfitMargin;
    }

    public BigDecimal getNetProfitBudgetTotal() {
        return netProfitBudgetTotal;
    }

    public void setNetProfitBudgetTotal(BigDecimal netProfitBudgetTotal) {
        this.netProfitBudgetTotal = netProfitBudgetTotal;
    }

    public BigDecimal getNetProfitProfitMargin() {
        return netProfitProfitMargin;
    }

    public void setNetProfitProfitMargin(BigDecimal netProfitProfitMargin) {
        this.netProfitProfitMargin = netProfitProfitMargin;
    }

    public BigDecimal getSaleIncomeCashBudget() {
        return saleIncomeCashBudget;
    }

    public void setSaleIncomeCashBudget(BigDecimal saleIncomeCashBudget) {
        this.saleIncomeCashBudget = saleIncomeCashBudget;
    }

    public BigDecimal getTaxReturnBudget() {
        return taxReturnBudget;
    }

    public void setTaxReturnBudget(BigDecimal taxReturnBudget) {
        this.taxReturnBudget = taxReturnBudget;
    }

    public BigDecimal getEarnestMoneyIncomeBudget() {
        return earnestMoneyIncomeBudget;
    }

    public void setEarnestMoneyIncomeBudget(BigDecimal earnestMoneyIncomeBudget) {
        this.earnestMoneyIncomeBudget = earnestMoneyIncomeBudget;
    }

    public BigDecimal getPurchaseCostBudget() {
        return purchaseCostBudget;
    }

    public void setPurchaseCostBudget(BigDecimal purchaseCostBudget) {
        this.purchaseCostBudget = purchaseCostBudget;
    }

    public BigDecimal getTaxCostBudget() {
        return taxCostBudget;
    }

    public void setTaxCostBudget(BigDecimal taxCostBudget) {
        this.taxCostBudget = taxCostBudget;
    }

    public BigDecimal getEarnestMoneyCostBudget() {
        return earnestMoneyCostBudget;
    }

    public void setEarnestMoneyCostBudget(BigDecimal earnestMoneyCostBudget) {
        this.earnestMoneyCostBudget = earnestMoneyCostBudget;
    }

    public BigDecimal getNetCashFlowBudget() {
        return netCashFlowBudget;
    }

    public void setNetCashFlowBudget(BigDecimal netCashFlowBudget) {
        this.netCashFlowBudget = netCashFlowBudget;
    }

    public BigDecimal getCashInflowFromInvestingActivitiesBudget() {
        return cashInflowFromInvestingActivitiesBudget;
    }

    public void setCashInflowFromInvestingActivitiesBudget(BigDecimal cashInflowFromInvestingActivitiesBudget) {
        this.cashInflowFromInvestingActivitiesBudget = cashInflowFromInvestingActivitiesBudget;
    }

    public BigDecimal getCashOutflowFromInvestingActivitiesBudget() {
        return cashOutflowFromInvestingActivitiesBudget;
    }

    public void setCashOutflowFromInvestingActivitiesBudget(BigDecimal cashOutflowFromInvestingActivitiesBudget) {
        this.cashOutflowFromInvestingActivitiesBudget = cashOutflowFromInvestingActivitiesBudget;
    }

    public BigDecimal getNetCashFromInvestingActivitiesBudget() {
        return netCashFromInvestingActivitiesBudget;
    }

    public void setNetCashFromInvestingActivitiesBudget(BigDecimal netCashFromInvestingActivitiesBudget) {
        this.netCashFromInvestingActivitiesBudget = netCashFromInvestingActivitiesBudget;
    }

    public BigDecimal getFinancingCapitalInflowBudget() {
        return financingCapitalInflowBudget;
    }

    public void setFinancingCapitalInflowBudget(BigDecimal financingCapitalInflowBudget) {
        this.financingCapitalInflowBudget = financingCapitalInflowBudget;
    }

    public BigDecimal getFinancingCapitalOutflowBudget() {
        return financingCapitalOutflowBudget;
    }

    public void setFinancingCapitalOutflowBudget(BigDecimal financingCapitalOutflowBudget) {
        this.financingCapitalOutflowBudget = financingCapitalOutflowBudget;
    }

    public BigDecimal getFinancingCapitalCashflowBudget() {
        return financingCapitalCashflowBudget;
    }

    public void setFinancingCapitalCashflowBudget(BigDecimal financingCapitalCashflowBudget) {
        this.financingCapitalCashflowBudget = financingCapitalCashflowBudget;
    }

    public BigDecimal getNetIncreaseMonetaryFundsBudget() {
        return netIncreaseMonetaryFundsBudget;
    }

    public void setNetIncreaseMonetaryFundsBudget(BigDecimal netIncreaseMonetaryFundsBudget) {
        this.netIncreaseMonetaryFundsBudget = netIncreaseMonetaryFundsBudget;
    }
}
